Forke24x7

Can't get AsRock B360M-ITX/ac to work with Xpenology

Recommended Posts

Hi,

 

I've already set-up some machines with xpenology, mostly without problems. All of them had hardware 2+ years old.

 

Now I have a machine from a friend who wants to run xpenology and asked me for help. I'm stuck with finding the machine via Synology Finder. 

 

Board: AsRock B360M-ITX/ac

Processor: i3-8100T

 

Everything in grub.cfg is like I always do it (VID/PID from USB Stick, MAC Adress from Ethernet Port, Timeout set to "4").

 

I've tried the following bootloaders in both UEFI and Legacy Mode

1.04b/DS918 (boots into "happy hacking", but can't find after several minutes via Synology Finder)

1.03b/DS3617 (boots into "happy hacking", but can't find after several minutes via Synology Finder)

1.02b/DS3617 (boots into "happy hacking", but can't find after several minutes via Synology Finder)

 

None of them showed up in Synology Finder. After that I integrated the extra-driver Package - didn't change anything.

We disabled the built-in Wi-Fi function via BIOS. Maybe it has to do with that in any ways?

 

Thanks for your help!

Share this post


Link to post
Share on other sites

Try disabling the onboard audio in case that has a conflict with the nic resources. Also try the 3615 loaders and also leaving the mac address blank. if you have a usb/serial adapter you could try a serial port connection and check the loading process for drivers/modules. could also try a live ubuntu or mint boot and check the pci devices and check that the nic is on the supported/enhanced module list. 

Share this post


Link to post
Share on other sites

Hey,

problem is the Intel I219V NIC. This one is nt running without special Driver. I use the ASROCK H360m itx Board with two Intel NICs. One of them is also the Intel I219V. I was not able to get this NIC up and running.

For Loader 1.04 DS918 is no extra driver package available

For Loader 1.03 DS 36xx is also no driver pack there.

Only for Loader 1.03a DS918+ and for 1.02B and DS36xx are driver packs available....

Here you also need to check every version of the packs...

But for all of them, you can´t use hw transcoding in Plex / Emby / VideoStation. This is only running fine with Loader 1.04 /DS918+ by using the 8100T.

Alex

 

Share this post


Link to post
Share on other sites

Hi,

 

I disabled the onboard audio aswell as the onboard Wifi.

I've also tried all 3615 Loaders, also tried the loaders with the driver package. 

Nothing worked, so I searched for an old Intel PCIe Network Card. Worked directly and flawlessly.

 

So I guess I219V is actually not that easy to get it working. Thought its a pretty common NIC and also the extra driver package says it has support for it (but does not work).

 

Thanks for your help :-)

Share this post


Link to post
Share on other sites
On 1/3/2019 at 12:53 AM, Forke24x7 said:

Hi,

 

I disabled the onboard audio aswell as the onboard Wifi.

I've also tried all 3615 Loaders, also tried the loaders with the driver package. 

Nothing worked, so I searched for an old Intel PCIe Network Card. Worked directly and flawlessly.

 

So I guess I219V is actually not that easy to get it working. Thought its a pretty common NIC and also the extra driver package says it has support for it (but does not work).

 

Thanks for your help :-)

We have almost identical motherboards. My Ethernet adapters works good but initially I had same problem.

 

Share this post


Link to post
Share on other sites

Thanks for your answer. Sadly, I still can't get it to work.

 

I disabled onboard Audio, onboard Wifi and have set the graphic adapter to onboard. Where to disable bluetooth? Can't find any option for that. As you have 2 NICs and I only have 1, which one is working for you? 211 or 219V? Maybe you got it working with the 211 NIC and the 219V isn't working for you aswell.

 

 

Share this post


Link to post
Share on other sites

The problem with the 219V nic on these newer motherboards is that it is generation 10 and has a device ID of 15BC vs 1570 or 15B8 which are supposedly supported by the 918/1.04 loader.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.